// strchr 和 strstr 的使用
// strchr: 查找字符串中第一次出现某个字符的首地址位置
// strrchr: 查找字符串中最后一次出现某个字符的首地址位置(反向查找)
// strstr: 查找字符串中第一次出现某个字符串的首地址位置

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main()
{
    char *p = "disen";
    strchr(p, 's'); // 查找字符串中第一次出现某个字符的首地址位置
    printf("%ld\n", strchr(p, 's') - p);
    return 0;
}